#include <stdio.h>
main()            /* Zeiger auf Funktionen */
{   
    int i, *p;
    int f1(), (*fi)();

    i=3; p= &i;
    fi=f1;
    printf("i=%d, f1(i+1)=%d, (*fi)(*p)=%d\n",
            i,    f1(i+1),    (*fi)(*p)    );
}

f1(a)
int a;
{        return a*a;        }
